import * as React from 'react';
export interface EditProps {
    value: string | number;
    onChange?: (value: string | number) => any;
}
export default class Edit extends React.Component<EditProps, {}> {
    inputComponent: any;
    state: {
        value: string | number;
        editable: boolean;
    };
    constructor(props: EditProps);
    componentDidUpdate(): void;
    componentWillReceiveProps(nextProps: EditProps): void;
    handleChange: (e: any) => void;
    check: () => void;
    edit: () => void;
    render(): JSX.Element;
}
